Subject: Re: [6lo] [EXTERNAL] FW: I-D Action: draft-ietf-6lo-multicast-registration-03.txt

From: "Falendysz, Gene" <[email-masked]>
Date: Tue, 8 Feb 2022 15:41:42 +0000

Hi Pascal,
  The draft does not currently address the "All Nodes Addresses" discussed in RFC 4291. Because there is a requirement that a node accept the link local scope All Nodes address, this should not require the 6LN to register to have this address forwarded. The 6LR should forward these implicitly. Please add text addressing this exception.

Thanks,

Gene Falendysz
864-723-1395 

-----Original Message-----
From: 6lo <[email-masked]> On Behalf Of Pascal Thubert (pthubert)
Sent: Monday, December 13, 2021 5:31 AM
To: [email-masked]' <[email-masked]>
Subject: [EXTERNAL] [6lo] FW: I-D Action: draft-ietf-6lo-multicast-registration-03.txt

This update indicates how RFC 892_ can be used to block unwanted subscribers to unicast and multicast addresses. 

Comments welcome!

Pascal

-----Original Message-----
From: 6lo <[email-masked]> On Behalf Of [email-masked]
Sent: lundi 13 décembre 2021 11:21
To: [email-masked]
Cc: [email-masked]
Subject: [6lo] I-D Action: draft-ietf-6lo-multicast-registration-03.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 over Networks of Resource-constrained Nodes WG of the IETF.

        Title           : IPv6 Neighbor Discovery Multicast Address Listener Registration
        Author          : Pascal Thubert
	Filename        : draft-ietf-6lo-multicast-registration-03.txt
	Pages           : 26
	Date            : 2021-12-13

Abstract:
   This document updates RFC 8505 to enable a listener to register an
   IPv6 anycast or and subscribe to an IPv6 multicast address; the draft
   updates RFC 6550 (RPL) to add a new Non-Storing Multicast Mode and a
   new support for anycast addresses in Storing and Non-Storing Modes.
   This document extends RFC 9010 to enable the 6LR to inject the
   anycast and multicast addresses in RPL.

The IETF datatracker status page for this draft is:
https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-6lo-multicast-registration/__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6WephdJNTY$ 

There is also an HTML version available at:
https://urldefense.com/v3/__https://www.ietf.org/archive/id/draft-ietf-6lo-multicast-registration-03.html__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6WeSMJWFIU$ 

A diff from the previous version is available at:
https://urldefense.com/v3/__https://www.ietf.org/rfcdiff?url2=draft-ietf-6lo-multicast-registration-03__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6WeNKpVXrg$ 

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

_______________________________________________
6lo mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/6lo__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6We3y6gvZ4$ 

_______________________________________________
6lo mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/6lo__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6We3y6gvZ4$

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 8 Feb 2022 17:02:21 +0000

Great point Gene

Effectively FF02::1 is really a broadcast, and nodes do not expect to have to register. Membership is implicit.
So I'm willing to add text saying that the 6LR that generates a message to all nodes should send it to all the nodes that registered to it. 

If there's a reliable L2 broadcast, fine. But if not, finding all the individual nodes actually means going through all the active NCEs (BCE really) and send to all avoiding duplication. If all nodes have one and only one link local that would be relatively  easy. But if not, that means scanning the BCEs, send unicast to all the LLAO found there, avoiding duplicates. Not necessarily obvious!

What do others think?

Pascal

> From: Falendysz, Gene <Gene.Falendysz=[email-masked]>
> Sent: mardi 8 février 2022 16:42
> To: Pascal Thubert (pthubert) <[email-masked]>; [email-masked]'
> <[email-masked]>
> Subject: RE: [EXTERNAL] [6lo] FW: I-D Action: draft-ietf-6lo-multicast-
> registration-03.txt
> 
> Hi Pascal,
>   The draft does not currently address the "All Nodes Addresses" discussed
> in RFC 4291. Because there is a requirement that a node accept the link
> local scope All Nodes address, this should not require the 6LN to register
> to have this address forwarded. The 6LR should forward these implicitly.
> Please add text addressing this exception.
> 
> Thanks,
> 
> Gene Falendysz
> 864-723-1395
> 
> This update indicates how RFC 892_ can be used to block unwanted
> subscribers to unicast and multicast addresses.
> 
> Comments welcome!
> 
> Pascal
> 
> https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-
> 6lo-multicast-
> registration/__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0
> iWSqLXXMc6WephdJNTY$
> 
> https://urldefense.com/v3/__https://www.ietf.org/archive/id/draft-ietf-
> 6lo-multicast-registration-
> 03.html__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLX
> XMc6WeSMJWFIU$
> 
> https://urldefense.com/v3/__https://www.ietf.org/rfcdiff?url2=draft-ietf-
> 6lo-multicast-registration-
> 03__;!!F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6W
> eNKpVXrg$
> 
> 
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/6lo__;!!
> F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6We3y6gvZ
> 4$
> 
> https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/6lo__;!!
> F7jv3iA!gcLBxDdzsapT6nQ7ORn7D7J1YItLwFd2TjTR9I4oAGt6zhc0iWSqLXXMc6We3y6gvZ
> 4$